Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class XmlDocumentReader

`java.lang.Object
oracle.jbo.server.XmlDocumentReader`

Direct Known Subclasses:
  DotNetXmlDocumentReader

public class XmlDocumentReader
extends java.lang.Object

Field Summary
`static int` | `CURRENT_VERSION`
`static int` | `OLD_VERSION`

Constructor Summary
`XmlDocumentReader(Document doc)`

Method Summary
`NodeIterator` | `createDeletedRowNodeIterator(ViewObjectImpl vo, Node n)`
`NodeIterator` | `createRowNodeIterator(ViewObjectImpl vo, Node n)`
`TreeWalker` | `createRowNodeWalker(ViewObjectImpl vo, Node rootNode)`
`Element` | `getChildElement(Element forRow, java.lang.String elementName, int version)`
`Document` | `getXMLDocument()`
`DataDocument` | `readDataDocument(ApplicationModule am)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_VERSION

    public static final int CURRENT_VERSION

  See Also:
    Constant Field Values

### OLD_VERSION

    public static final int OLD_VERSION

  See Also:
    Constant Field Values

Constructor Detail

### XmlDocumentReader

    public XmlDocumentReader(Document doc)

Method Detail

### getXMLDocument

    public Document getXMLDocument()

### readDataDocument

    public DataDocument readDataDocument(ApplicationModule am)

### getChildElement

    public Element getChildElement(Element forRow,
                                   java.lang.String elementName,
                                   int version)

### createRowNodeWalker

    public TreeWalker createRowNodeWalker(ViewObjectImpl vo,
                                          Node rootNode)

### createRowNodeIterator

    public NodeIterator createRowNodeIterator(ViewObjectImpl vo,
                                              Node n)

### createDeletedRowNodeIterator

    public NodeIterator createDeletedRowNodeIterator(ViewObjectImpl vo,
                                                     Node n)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.